#ifndef _UTIL_H_
#define _UTIL_H_

void delay(int ms);
static void printchar(char **str, int c);
static int prints(char **out, const char *string, int width, int pad);
static int printi(char **out, int i, int b, int sg, int width, int pad, int letbase);
static int print(char **out, int *varg);
int printf(const char *format, ...);
int sprintf(char *out, const char *format, ...);

#endif
